> This page is for version Latest Version (default).
> For other versions, use one of these documentation indexes:
> - Latest Version (default): https://paylocity-develop.ferndocs.com/payroll/latest-version/llms.txt
> - v2026-02-17: https://paylocity-develop.ferndocs.com/payroll/v-2026-02-17/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://paylocity-develop.ferndocs.com/payroll/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://paylocity-develop.ferndocs.com/payroll/_mcp/server.

# Get Onboarding Status

GET https://api.paylocity.com/apiHub/security/v1/companies/{companyId}/clientOnboardings

The Partner Onboarding API is only available to approved partners who have signed a Paylocity Technology Partnership Agreement. If you are not yet a partner and are interested in exploring partnership opportunities, please contact us at [Techpartnerships@paylocity.com](mailto:Techpartnerships@paylocity.com)

**Summary Description**

The new Partner Onboarding API is designed to enable our partners to onboard customers through our Paylocity Marketplace-initiated workflow. Approved partners will utilize the API to provision a client onto a specific integration. This endpoint allows partners to get their onboardings with an option of filtering by companyId and status.

Reference: https://paylocity-develop.ferndocs.com/payroll/api-reference/paylocity-ap-is/partner-onboarding/get-onboarding-status

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `companyId` (string, required)

### Query parameters

- `filter` (string, optional) — The filtering expression ( e.g. companyId eq b6001, status eq Approved ).
- `limit` (integer, optional) — Limit.
- `offset` (integer, optional) — Offset.
- `includeTotalCount` (boolean, optional) — Include total items count into response as a header.

### Headers

- `testMode` (boolean, optional) — If true all responses are mocked and generated randomly.
- `Accept` (string, optional)

## Response

### 200

Successful response

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.paylocity.com/apiHub/security/v1/companies/companyId/clientOnboardings"

querystring = {"filter":"string","limit":"50","offset":"0","includeTotalCount":"true"}

headers = {
    "testMode": "true",
    "Accept": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.paylocity.com/apiHub/security/v1/companies/companyId/clientOnboardings?filter=string&limit=50&offset=0&includeTotalCount=true';
const options = {
  method: 'GET',
  headers: {testMode: 'true', Accept: 'application/json', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.paylocity.com/apiHub/security/v1/companies/companyId/clientOnboardings?filter=string&limit=50&offset=0&includeTotalCount=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("testMode", "true")
	req.Header.Add("Accept", "application/json")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.paylocity.com/apiHub/security/v1/companies/companyId/clientOnboardings?filter=string&limit=50&offset=0&includeTotalCount=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["testMode"] = 'true'
request["Accept"] = 'application/json'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.paylocity.com/apiHub/security/v1/companies/companyId/clientOnboardings?filter=string&limit=50&offset=0&includeTotalCount=true")
  .header("testMode", "true")
  .header("Accept", "application/json")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.paylocity.com/apiHub/security/v1/companies/companyId/clientOnboardings?filter=string&limit=50&offset=0&includeTotalCount=true', [
  'headers' => [
    'Accept' => 'application/json',
    'Authorization' => 'Bearer <token>',
    'testMode' => 'true',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.paylocity.com/apiHub/security/v1/companies/companyId/clientOnboardings?filter=string&limit=50&offset=0&includeTotalCount=true");
var request = new RestRequest(Method.GET);
request.AddHeader("testMode", "true");
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "testMode": "true",
  "Accept": "application/json",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.paylocity.com/apiHub/security/v1/companies/companyId/clientOnboardings?filter=string&limit=50&offset=0&includeTotalCount=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```